Update Team Users
https://app.fossa.com/api/teams/{id}/usersUpdate team users by adding, removing, or modifying user roles in the team
Path parameters
idintegerrequiredID of the team
Request body (required) · application/json
actionenumrequiredAction to perform on team users
addremovereplaceusersobject[]List of users to add, remove, or replace
idintegerrequiredID of the user
roleIdintegerRole ID for the user (required for add and replace actions)
Responses
200Team users updated successfullyidintegerTeam ID
usersobject[]Updated list of team users
userIdintegerUser ID
roleIdintegerRole ID
400Bad RequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404Not FounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
PUT https://app.fossa.com/api/teams/1/userscurl --request PUT \ --url 'https://app.fossa.com/api/teams/1/users' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "action": "add", "users": [ { "id": 123, "roleId": 2 }, { "id": 456, "roleId": 3 } ]}'Real request. Mutating methods can change data.
Path params
idintegerrequiredID of the team